Skip to main content

GET settings/get

GET 

/settings/get

Look up the ids of your configuration, such as orderTypes, to use in other requests.

When making API calls you will often are required to provide the correct id's when refering to configuration entities such as orderTypes. These id's can be obtained by using the shopapi/v2 GET settings/get method. It is recommended to cache this data locally and refresh daily. Among these settings the id's and names of the following entities are returned

entitydescription
mainShippingMethods(required for the shopapi/v3)
shippingMethods(deprecated, but still required for shopapi/v2 endpoints)
orderTypes
returnReasons
returnShippingMethods
languages
countries
paymentMethods(obsolete)

Responses​

A successful response from the server with the current client settings